Imports System.Collections.Generic
Imports DigitalData.Modules.Interfaces

Public Class WorkerArgs
    Public WatchDirectories As List(Of String)
    Public SuccessDirectory As String
    Public ErrorDirectory As String
    Public OriginalEmailDirectory As String
    Public RejectedEmailDirectory As String
    Public AttachmentsSubDirectory As String
    Public PropertyMap As Dictionary(Of String, XmlItemProperty)
    Public InsertIntoSQLServer As Boolean

    Public Sub New()
        WatchDirectories = New List(Of String)
        SuccessDirectory = Nothing
        ErrorDirectory = Nothing
        OriginalEmailDirectory = Nothing
        RejectedEmailDirectory = Nothing
        AttachmentsSubDirectory = Nothing
        PropertyMap = New Dictionary(Of String, XmlItemProperty)
        InsertIntoSQLServer = False
    End Sub
End Class